# Uses of Class
org.apache.velocity.util.ExtProperties

Packages that use ExtProperties
Package
Description
org.apache.velocity.runtime
org.apache.velocity.runtime.resource.loader
org.apache.velocity.util

## Uses of ExtProperties in org.apache.velocity.runtime

Methods in org.apache.velocity.runtime that return ExtProperties
Modifier and Type
Method
Description
`ExtProperties`
RuntimeInstance.`getConfiguration()`
Return the velocity runtime configuration object.
`ExtProperties`
RuntimeServices.`getConfiguration()`
Return the velocity runtime configuration object.
`static ExtProperties`
RuntimeSingleton.`getConfiguration()`
Return the velocity runtime configuration object.
Methods in org.apache.velocity.runtime with parameters of type ExtProperties
Modifier and Type
Method
Description
`void`
RuntimeInstance.`setConfiguration(ExtProperties configuration)`
Allow an external system to set an ExtProperties object to use.
`void`
RuntimeServices.`setConfiguration(ExtProperties configuration)`
Allow an external system to set an ExtProperties object to use.
`static void`
RuntimeSingleton.`setConfiguration(ExtProperties configuration)`
Directly set the ExtProperties configuration object

## Uses of ExtProperties in org.apache.velocity.runtime.resource.loader

Methods in org.apache.velocity.runtime.resource.loader with parameters of type ExtProperties
Modifier and Type
Method
Description
`void`
ResourceLoader.`commonInit(RuntimeServices rs, ExtProperties configuration)`
This initialization is used by all resource loaders and must be called to set up common properties shared by all resource loaders
`void`
ClasspathResourceLoader.`init(ExtProperties configuration)`
This is abstract in the base class, so we need it
`void`
DatabaseObjectsFactory.`init(DataSource dataSource, ExtProperties properties)`
Initialize the factory with the DataSourceResourceLoader properties
`void`
DataSourceResourceLoader.`init(ExtProperties configuration)`
`void`
DefaultDatabaseObjectsFactory.`init(DataSource dataSource, ExtProperties properties)`
Initialize the factory with the DataSourceResourceLoader properties
`void`
FileResourceLoader.`init(ExtProperties configuration)`
`void`
JarResourceLoader.`init(ExtProperties configuration)`
Called by Velocity to initialize the loader
`abstract void`
ResourceLoader.`init(ExtProperties configuration)`
Initialize the template loader with a a resources class.
`void`
StringResourceLoader.`init(ExtProperties configuration)`
`void`
URLResourceLoader.`init(ExtProperties configuration)`

## Uses of ExtProperties in org.apache.velocity.util

Methods in org.apache.velocity.util that return ExtProperties
Modifier and Type
Method
Description
`static ExtProperties`
ExtProperties.`convertProperties(Map props)`
Convert a Map into a configuration class.
`static ExtProperties`
ExtProperties.`convertProperties(Properties props)`
Convert a standard properties class into a configuration class.
`ExtProperties`
ExtProperties.`subset(String prefix)`
Create an ExtProperties object that is a subset of this one.
Methods in org.apache.velocity.util with parameters of type ExtProperties
Modifier and Type
Method
Description
`void`
ExtProperties.`combine(ExtProperties props)`
Combines an existing Hashtable with this Hashtable.